Skip to content
Start here

Create a new TURN key

client.calls.turn.create(TURNCreateParams { account_id, name } params, RequestOptionsoptions?): TURNCreateResponse { created, key, modified, 2 more }
POST/accounts/{account_id}/calls/turn_keys

Creates a new Cloudflare Calls TURN key.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Calls Write
ParametersExpand Collapse
params: TURNCreateParams { account_id, name }
account_id: string

Path param: The account identifier tag.

maxLength32
name?: string

Body param: A short description of a TURN key, not shown to end users.

ReturnsExpand Collapse
TURNCreateResponse { created, key, modified, 2 more }
created?: string

The date and time the item was created.

formatdate-time
key?: string

Bearer token

maxLength64
minLength64
modified?: string

The date and time the item was last modified.

formatdate-time
name?: string

A short description of a TURN key, not shown to end users.

uid?: string

A Cloudflare-generated unique identifier for a item.

maxLength32
minLength32

Create a new TURN key

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const turn = await client.calls.turn.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(turn.uid);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4",
    "modified": "2014-01-02T02:20:00Z",
    "name": "my-turn-key",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created": "2014-01-02T02:20:00Z",
    "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4",
    "modified": "2014-01-02T02:20:00Z",
    "name": "my-turn-key",
    "uid": "2a95132c15732412d22c1476fa83f27a"
  }
}